Subject: bug#69008: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma 14.3.1

From: Marco Antoniotti <[email-masked]>
Date: Sat, 10 Feb 2024 11:42:56 +0100

Hmmmm.

Let me try.  I don't like to intermix declarations and code, but I can see
how the compiler may "optimize" things.

Yep.  That was it.  You can see the new code in the repo.

Thanks.

MA

On Sat, Feb 10, 2024 at 11:28 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Marco Antoniotti <[email-masked]>
> > Date: Sat, 10 Feb 2024 10:40:03 +0100
> > Cc: [email-masked]
> >
> > The code of my module is in the Github repo belo (sorry about the
> licensing, the format, being on Github,
> > etc).  I also attached the MacOS crash report.  I hope it helps.  Sorry,
> but I am just running Emacs and I really
> > do not have the time to dig more into its guts.
> >
> > I get the .dylib and move it in the `load-path`.  Doing M-x load-library
> crashes Emacs.
> >
> > Maybe I am just doing something very stupid.  You tell me.
> >
> > https://github.com/marcoxa/platel
>
> I think these two lines:
>
>   emacs_value def_is_be_args[] = {is_be_symbol, is_be_func};
>   emacs_value def_is_le_args[] = {is_le_symbol, is_le_func};
>
> should be after the is_be/le_* variables have been assigned their
> values, not before.
>